import 'package:event_bus/event_bus.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/utils/win_media.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

var appBarColor = Color(0xff4169e2);

var bgColor = Color(0xfff7f7f7);

var mainSpace = 10.0;

var mainLineWidth = 0.3;

var lineColor = Colors.grey;

var mainTextColor = Color.fromRGBO(115, 115, 115, 1.0);

final EventBus publicEventBus = EventBus();

const String noMoreTag = 'noMore';


///全局context
GlobalKey<NavigatorState> navigatorKey = GlobalKey<NavigatorState>();


BuildContext get appContext => navigatorKey.currentState?.overlay?.context;


///页数设置
int startPage = 1;

int pageLimit = 10;


///Widget配置
Widget get pageLoading => SpinKitWave(color: Theme.of(appContext).primaryColor, type: SpinKitWaveType.start, size: getSp(24),);


/// **********************************************设置网络错误提示****************************************************************/

String CONNECT_TIMEOUT_MSG = "网络连接超时，请检查网络设置";
String RECEIVE_TIMEOUT_MSG = "服务器异常，请稍后重试！";
String SEND_TIMEOUT_MSG = "网络连接超时，请检查网络设置";
String HTTP_ERROR_MSG = "服务器异常，请稍后重试！";
String CANCEL_MSG = "请求已被取消，请稍后重试！";
String UNKNOWN_MSG = "未知错误";


/// 间隔
class Gaps {
  /// 水平间隔
  static Widget hGap5 = new SizedBox(width: getWidth(5));
  static Widget hGap10 = new SizedBox(width: getWidth(10));
  static Widget hGap15 = new SizedBox(width: getWidth(15));

  /// 垂直间隔
  static Widget vGap5 = new SizedBox(height: getHeight(5));
  static Widget vGap10 = new SizedBox(height: getHeight(10));
  static Widget vGap15 = new SizedBox(height: getHeight(15));

  /// 自定义垂直间隔
  static Widget getVertical(double height){
    return SizedBox(
      height: getHeight(height),
    );
  }

  /// 自定义水平间隔
  static Widget getHorizontal(double width){
    return SizedBox(
      width: getHeight(width),
    );
  }
}